Skip to main content
curl -X GET "https://api.chargefy.io/v1/payment-intents?customer=cus_123&limit=10" \
  -H "Authorization: Bearer {{API_KEY}}"
{
  "object": "list",
  "data": [
    {
      "id": "pi_123",
      "object": "payment_intent",
      "amount": 10528,
      "amount_capturable": 0,
      "amount_details": {
        "installment_interest": 528,
        "subtotal": 10000,
        "total": 10528
      },
      "amount_received": 10528,
      "canceled_at": null,
      "cancellation_reason": null,
      "capture_method": "automatic",
      "client_secret": "pi_123_secret_abc",
      "confirmation_method": "automatic",
      "created_at": "2026-05-16T18:34:58Z",
      "currency": "brl",
      "customer": "cus_123",
      "invoice": "inv_123",
      "last_payment_error": null,
      "latest_charge": "ch_123",
      "livemode": true,
      "metadata": {},
      "next_action": null,
      "payment_method": "pm_123",
      "payment_method_options": {
        "credit_card": {
          "installments": {
            "amount_subtotal": 10000,
            "amount_total": 10528,
            "count": 3,
            "has_interest": true,
            "interest_amount": 528
          }
        }
      },
      "payment_method_types": [
        "credit_card"
      ],
      "setup_future_usage": null,
      "status": "succeeded",
      "updated_at": "2026-05-16T18:35:00Z"
    }
  ],
  "has_more": false,
  "url": "/v1/payment-intents"
}
Lista payment_intents em ordem decrescente de criação.

Filtros

customer
string
Filtra por customer (cus_*).
invoice
string
Filtra por invoice (inv_*).
status
string
Filtra por status.
limit
integer
Quantidade de itens, de 1 a 100.
starting_after
string
Cursor para a próxima página.
ending_before
string
Cursor para a página anterior.
expand[]
string
Use payment_method para expandir métodos salvos ou latest_charge para expandir a última tentativa de cobrança.
curl -X GET "https://api.chargefy.io/v1/payment-intents?customer=cus_123&limit=10" \
  -H "Authorization: Bearer {{API_KEY}}"
{
  "object": "list",
  "data": [
    {
      "id": "pi_123",
      "object": "payment_intent",
      "amount": 10528,
      "amount_capturable": 0,
      "amount_details": {
        "installment_interest": 528,
        "subtotal": 10000,
        "total": 10528
      },
      "amount_received": 10528,
      "canceled_at": null,
      "cancellation_reason": null,
      "capture_method": "automatic",
      "client_secret": "pi_123_secret_abc",
      "confirmation_method": "automatic",
      "created_at": "2026-05-16T18:34:58Z",
      "currency": "brl",
      "customer": "cus_123",
      "invoice": "inv_123",
      "last_payment_error": null,
      "latest_charge": "ch_123",
      "livemode": true,
      "metadata": {},
      "next_action": null,
      "payment_method": "pm_123",
      "payment_method_options": {
        "credit_card": {
          "installments": {
            "amount_subtotal": 10000,
            "amount_total": 10528,
            "count": 3,
            "has_interest": true,
            "interest_amount": 528
          }
        }
      },
      "payment_method_types": [
        "credit_card"
      ],
      "setup_future_usage": null,
      "status": "succeeded",
      "updated_at": "2026-05-16T18:35:00Z"
    }
  ],
  "has_more": false,
  "url": "/v1/payment-intents"
}